
CoCoA-5 - Feature #284

BuiltInFunctions: more flexible typing in one-line function declaration

05 Dec 2012 16:56 - Anna Maria Bigatti

Status: Closed Start date: 05 Dec 2012

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Parser/Interpreter Estimated time: 0.25 hour

Target version: CoCoA-5.1.0 Easter14 Spent time: 0.25 hour

Description

In file BuiltInOneLiners there are many function wonderfully declared in one line.

Unfortunately sometimes we need a little more flexibility, e.g. accepting an INT when the expected value is a RAT.

Is it possible to design a /OneLiner/ macro for doing so?

duplicated in #294

Related issues:

Has duplicate CoCoA-5 - Design #294: BuiltInFunctions: General "OneLiner" for... Closed 23 Jan 2013

History

#1 - 23 Jan 2013 12:31 - Anna Maria Bigatti

- Category set to Parser/Interpreter

#2 - 28 Mar 2014 08:33 - Anna Maria Bigatti

- Subject changed from more flexible typing in one-line function declaration to BuiltInFunctions: more flexible typing in one-line function declaration

#3 - 08 Apr 2014 08:19 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#4 - 08 Apr 2014 08:25 - Anna Maria Bigatti

- Status changed from New to Closed

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.0 Easter14

- % Done changed from 0 to 100

- Estimated time set to 0.25 h
